> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payem.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Lock a card



## OpenAPI

````yaml /openapi/partner-schema.yml put /api/partner/v1/cards/{id}/lock
openapi: 3.0.3
info:
  title: PayEm Partner API
  version: '1.0'
servers:
  - url: https://app.payemcard.com
    description: Production
  - url: https://stage.payemcard.com
    description: Staging
security: []
paths:
  /api/partner/v1/cards/{id}/lock:
    put:
      tags:
        - cards
      summary: Lock a card
      operationId: api_partner_v1_card_lock
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          headers:
            X-Trace-Id:
              schema:
                type: string
              description: >-
                Unique identifier for tracing this request through PayEm
                systems.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardResponse'
          description: ''
      security:
        - PayemOAuthAccessToken: []
components:
  schemas:
    CardResponse:
      type: object
      properties:
        id:
          type: integer
        type:
          $ref: '#/components/schemas/TypeEnum'
        status:
          $ref: '#/components/schemas/StatusEnum'
        label:
          type: string
        last_four:
          type: string
        card_network:
          type: string
        classification:
          $ref: '#/components/schemas/Classification'
        vendor_details:
          allOf:
            - $ref: '#/components/schemas/VendorDetails'
          nullable: true
        subsidiary_details:
          allOf:
            - $ref: '#/components/schemas/SubsidiaryDetails'
          nullable: true
        employee_details:
          allOf:
            - $ref: '#/components/schemas/EmployeeDetails'
          nullable: true
        spend_controls:
          allOf:
            - $ref: '#/components/schemas/SpendControls'
          nullable: true
        usage:
          allOf:
            - $ref: '#/components/schemas/CardUsage'
          nullable: true
        shared_with:
          type: array
          items:
            type: integer
      required:
        - card_network
        - classification
        - id
        - label
        - last_four
        - status
        - type
    TypeEnum:
      enum:
        - EMPLOYEE
        - VENDOR
        - SINGLE-USE
      type: string
      description: |-
        * `EMPLOYEE` - EMPLOYEE
        * `VENDOR` - VENDOR
        * `SINGLE-USE` - SINGLE_USE
    StatusEnum:
      enum:
        - UNACTIVATED
        - ACTIVE
        - USER_SUSPENDED
        - ADMIN_SUSPENDED
        - AUTO_SUSPENDED
        - TERMINATED
        - IN_PROCESS
        - PREACTIVE
      type: string
      description: |-
        * `UNACTIVATED` - UNACTIVATED
        * `ACTIVE` - ACTIVE
        * `USER_SUSPENDED` - USER_SUSPENDED
        * `ADMIN_SUSPENDED` - ADMIN_SUSPENDED
        * `AUTO_SUSPENDED` - AUTO_SUSPENDED
        * `TERMINATED` - TERMINATED
        * `IN_PROCESS` - IN_PROCESS
        * `PREACTIVE` - PREACTIVE
    Classification:
      type: object
      properties:
        department_id:
          type: integer
          nullable: true
        account_id:
          type: integer
          nullable: true
        class_id:
          type: integer
          nullable: true
        location_id:
          type: integer
          nullable: true
    VendorDetails:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        name:
          type: string
          nullable: true
    SubsidiaryDetails:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        name:
          type: string
          nullable: true
    EmployeeDetails:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        email:
          type: string
          nullable: true
    SpendControls:
      type: object
      properties:
        periodic_limits:
          $ref: '#/components/schemas/PeriodicLimits'
        hard_limit:
          type: number
          format: double
          nullable: true
        max_single_transaction:
          type: number
          format: double
          nullable: true
        max_transactions_count:
          type: integer
          nullable: true
        valid_from:
          type: string
          format: date
          nullable: true
        valid_to:
          type: string
          format: date
          nullable: true
    CardUsage:
      type: object
      properties:
        day:
          type: number
          format: double
        week:
          type: number
          format: double
        month:
          type: number
          format: double
        quarter:
          type: number
          format: double
        year:
          type: number
          format: double
        hard_limit:
          type: number
          format: double
    PeriodicLimits:
      type: object
      properties:
        max_daily_amount:
          type: number
          format: double
          nullable: true
        max_weekly_amount:
          type: number
          format: double
          nullable: true
        max_monthly_amount:
          type: number
          format: double
          nullable: true
        max_quarter_amount:
          type: number
          format: double
          nullable: true
        max_yearly_amount:
          type: number
          format: double
          nullable: true
  securitySchemes:
    PayemOAuthAccessToken:
      type: http
      scheme: bearer
      description: Short-lived OAuth 2.0 access token. Tokens expire after five minutes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.